Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2780)

Unified Diff: build/install-build-deps.sh

Issue 2521733002: Revert of Add check_build_deps step to gclient runhooks (Closed)
Patch Set: Created 4 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/check-build-deps.py ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-build-deps.sh
diff --git a/build/install-build-deps.sh b/build/install-build-deps.sh
index 60511acd6ebd4cbf71bc93af432a7b69f8ff8e9d..832d116beeeb6aa3fcf76d6db653eb3c868d0dc0 100755
--- a/build/install-build-deps.sh
+++ b/build/install-build-deps.sh
@@ -72,19 +72,17 @@
fi
lsb_release=$(lsb_release --codename --short)
-ubuntu_codenames="(precise|trusty|utopic|vivid|wily|xenial|yakkety)"
+ubuntu_codenames="(precise|trusty|utopic|vivid|wily|xenial)"
if [ 0 -eq "${do_unsupported-0}" ] && [ 0 -eq "${do_quick_check-0}" ] ; then
if [[ ! $lsb_release =~ $ubuntu_codenames ]]; then
- echo "WARNING: Only supported build host distros are: " \
- "Ubuntu 12.04 (precise), Ubuntu 14.04 (trusty), Ubuntu 14.10 (utopic), " \
- "Ubuntu 15.04 (vivid), Ubuntu 15.10 (wily), Ubuntu 16.04 (xenial), " \
- "Ubuntu 16.10 (yakkety) " >&2
- exit
+ echo "ERROR: Only Ubuntu 12.04 (precise), 14.04 (trusty), " \
+ "14.10 (utopic), 15.04 (vivid), 15.10 (wily) and 16.04 (xenial) " \
+ "are currently supported" >&2
+ exit 1
fi
if ! uname -m | egrep -q "i686|x86_64"; then
- echo "WARNING: Only supported build host architectures are: " \
- "x86, x86-64" >&2
+ echo "Only x86 architectures are currently supported" >&2
exit
fi
fi
« no previous file with comments | « build/check-build-deps.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698